HexFiend: HFMutableIndexSet Class Reference

HexFiend

Instance Methods | List of all members
HFMutableIndexSet Class Reference

The mutable subclass of HFIndexSet.

Inheritance diagram for HFMutableIndexSet:

## Instance Methods
(void) | - addIndexesInRange:
(void) | - removeIndexesInRange:
(void) | - shiftValuesRightByAmount:startingAtValue:
(void) | - shiftValuesLeftByAmount:startingAtValue:
(void) | - shiftValuesLeftByAmount:endingAtValue:
Instance Methods inherited from HFIndexSet
(instancetype) | - init
(instancetype) | - initWithValue:
(instancetype) | - initWithValuesInRange:
(instancetype) | - initWithIndexSet:
(NSUInteger) | - numberOfRanges
(HFRange) | - rangeAtIndex:
(unsigned long long) | - countOfValuesInRange:
(unsigned long long) | - countOfValues
(void) | - verifyIntegrity
(HFRange) | - rangeContainingValue:
(BOOL) | - isEqualToNSIndexSet:

## Method Documentation

## § addIndexesInRange:()

- (void) addIndexesInRange: |  | (HFRange) | range |

Adds indexes in the given range.

## § removeIndexesInRange:()

- (void) removeIndexesInRange: |  | (HFRange) | range |

Removes indexes in the given range.

## § shiftValuesRightByAmount:startingAtValue:()

- (void) shiftValuesRightByAmount: |  | (unsigned long long) | delta
startingAtValue: |  | (unsigned long long) | value

Shifts all values equal to or greater than the given value right (increase) by the given delta. This raises an exception if indexes are shifted past ULLONG_MAX.

## § shiftValuesLeftByAmount:startingAtValue:()

- (void) shiftValuesLeftByAmount: |  | (unsigned long long) | delta
startingAtValue: |  | (unsigned long long) | value

Shifts all values equal to or greater than the given value left (decrease) by the given delta. Values within the range {value - delta, delta} are deleted. This raises an exception if indexes are shifted below 0.

## § shiftValuesLeftByAmount:endingAtValue:()

- (void) shiftValuesLeftByAmount: |  | (unsigned long long) | delta
endingAtValue: |  | (unsigned long long) | value

Shifts all values less than the given value left (decrease) by the given delta. This raises an exception of indexes are shifted below 0.

The documentation for this class was generated from the following file:

- HFIndexSet.h